List SKU List Price

This listing comes from the current Store's inventory whose Seller is associated with the user's bearer token making this API call.

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…

Gets all of the authenticated store's current pricing information. As this request is paginated, will need to use offset to pull the entire pricing.

{
    "totalItems": integer,
    "success": boolean,
    "errors": [],
    "results": [
        {
            "skuListPriceId": integer,
            "skuId": integer,
            "price": decimal,
            "isCustom": boolean
        }
    ]
}
{
    "totalItems": 40617,
    "success": true,
    "errors": [],
    "results": [
        {
            "skuListPriceId": null,
            "skuId": 2231,
            "price": 0.07,
            "isCustom": false
        },
        {
            "skuListPriceId": null,
            "skuId": 2239,
            "price": 0.07,
            "isCustom": false
        },
        {
            "skuListPriceId": null,
            "skuId": 2247,
            "price": 8.61,
            "isCustom": false
        },
        {
            "skuListPriceId": null,
            "skuId": 2255,
            "price": 0.21,
            "isCustom": false
        },
        {
            "skuListPriceId": null,
            "skuId": 2263,
            "price": 0.44,
            "isCustom": false
        },
        {
            "skuListPriceId": null,
            "skuId": 2271,
            "price": 0.23,
            "isCustom": false
        },
        {
            "skuListPriceId": null,
            "skuId": 2279,
            "price": 0.33,
            "isCustom": false
        },
        {
            "skuListPriceId": null,
            "skuId": 2287,
            "price": 2.1,
            "isCustom": false
        },
        {
            "skuListPriceId": null,
            "skuId": 2295,
            "price": 0.27,
            "isCustom": false
        },
        {
            "skuListPriceId": null,
            "skuId": 2303,
            "price": 2.16,
            "isCustom": false
        }
    ]
}
Path Params
string
required

Required. A unique key used to identify the caller of the API.

Query Params
int32

If specified, only return SkuListPrices from this Group.

int64

If specified, only return SkuListPrices with this SkuId.

boolean

If set to true, generic listings will be returned. Default is true.

boolean

If set to true, custom listings will be returned. Default is true.

int32

The channel to search for results. Defaults to 0, the TCG Marketplace.

boolean

If true, will return results for excluded categories. Default is false.

int32

Used for paging. The number of SkuListPrices to skip. Default is 0.

int32

Used for paging. The maximum number of SkuListPrices to return. Default is 10.

Headers
string
enum
Defaults to application/json

Generated from available response content types

Allowed:
Response

Language
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json
text/json